/*------------ Telecommunications & Signal Processing Lab --------------
                         McGill University

Routine:
  LPsyn.h

Description:
  Declarations for LPsyn

Author / revision:
  P. Kabal  Copyright (C) 1999
  $Revision: 1.16 $  $Date: 1999/06/05 02:18:57 $

----------------------------------------------------------------------*/

#ifndef LPsyn_h_
#define LPsyn_h_

#define PROGRAM "LPsyn"
#define VERSION	"v2r3  1999/06/04"

#define MAXWINDOW	512
#define MAXFRAME	512
#define MAXNP		50

#include <libtsp.h>		/* typedef for AFILE */

#ifdef __cplusplus
extern "C" {
#endif

/* Prototypes */
void
LPoptions (int argc, const char *argv[], int *Fstats,
	   char Fname[4][FILENAME_MAX]);
void
LPlpcSyn (AFILE *AFpI, AFILE *AFpL, AFILE *AFpO, int Fstats, double pre,
	  int Lframe, int Np);
void
LPlpcPar (const char Fname[], float *pre, const float **Win, int *Lwin,
	  int *Woffs, int *Lframe, int *Np, float *bwexp);

#ifdef __cplusplus
}
#endif

#endif /* LPsyn_h_ */
