/*-------------- Telecommunications & Signal Processing Lab ---------------
                             McGill University

Routine:
  void ADprintOFormat (int audio_fd)

Purpose:
  Print the playback parameters for the Sun audio device

Description:
  This routine prints the playback parameters for the Sun audio device.

Parameters:
   -> int audio_fd
      File descriptor for the audio device

Author / revision:
  P. Kabal  Copyright (C) 1999
  $Revision: 1.13 $  $Date: 1999/06/14 16:18:21 $

-------------------------------------------------------------------------*/

static char rcsid[] = "$Id: ADprintOFormat.c 1.13 1999/06/14 AFsp-v4r3 $";

#include <stdio.h>
#include <stropts.h>		/* stream ioctl commands */
#include <unistd.h>		/* ioctl */

#include <libtsp.h>
#include <AD.h>

#define PGM		(UTgetProg ())


void
ADprintOFormat (int audio_fd)

{
   audio_info_t aif;
   const char *SEncoding;
   int iost;

   iost = ioctl (audio_fd, AUDIO_GETINFO, &aif);
   if (iost == -1)
       UTerror ("%s: %s", PGM, ADM_GetErr);

   if (aif.play.encoding == AUDIO_ENCODING_LINEAR)
     SEncoding = "linear";
   else if (aif.play.encoding == AUDIO_ENCODING_ULAW)
     SEncoding = "mu-law";
   else if (aif.play.encoding == AUDIO_ENCODING_ALAW)
     SEncoding = "A-law";
   else
     SEncoding = "Unknown";

   printf (ADMF_OFormat, SEncoding, aif.play.precision, aif.play.channels,
	   aif.play.sample_rate);

   return;
}
