/*------------ Telecommunications & Signal Processing Lab -------------
                         McGill University

Routine:
  int FLexist (const char Fname[])

Purpose:
  Determine if a file exists

Description:
  This routine determines if a file specified by its filename exists and is a
  regular file (not a directory or a device).

Parameters:
  <-  int FLexist
      Return value, 1 for an existing regular file, 0 otherwise
   -> const char Fname[]
      File name

Author / revision:
  P. Kabal  Copyright (C) 1999
  $Revision: 1.7 $  $Date: 1999/06/11 23:12:21 $

----------------------------------------------------------------------*/

static char rcsid[] = "$Id: FLexist.c 1.7 1999/06/11 AFsp-v4r3 $";

#include <sys/types.h>
#include <sys/stat.h>

#include <libtsp/nucleus.h>


int
FLexist (const char Fname[])

{
  struct stat Fstat;
  int status;

  status = stat (Fname, &Fstat);
  if (status == 0 && (Fstat.st_mode & S_IFMT) == S_IFREG)
    return 1;
  else
    return 0;
}
